Ask Your Question
0

Unable to install a pack a DNF with a proxy

asked 2016-09-14 10:17:09 -0600

g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.dnf.exceptions.RepoError: Traceback (most recent call last): File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 226, in perform return super(_Handle, self).perform(result) File "/usr/lib64/python3.5/site-packages/librepo/__init__.py", line 1506, in perform _librepo.Handle.perform(self, result) librepo.LibrepoException: (8, "Cannot prepare internal mirrorlist: Curl error (60): Peer certificate cannot be authenticated with given CA certificates for https://mirrors.fedoraproject.org/met... [Peer's Certificate issuer is not recognized.]", 'An Curl handle error')

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 825, in load if self._try_revive(): File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 739, in _try_revive handle.perform() File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 230, in perform raise _DetailedLibrepoError(exc, source) dnf.repo._DetailedLibrepoError

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/lib64/python3.5/site-packages/dbus/service.py", line 707, in _message_cb retval = candidate_method(self, args, *keywords) File "/usr/lib/python3.5/site-packages/dnfdaemon/server/__init__.py", line 83, in newFunc rc = func(args, *kwargs) File "/usr/share/dnfdaemon/dnfdaemon-system", line 207, in SetConfig rc = self.set_option(setting, value) File "/usr/lib/python3.5/site-packages/dnfdaemon/server/__init__.py", line 680, in set_option if hasattr(self.base.conf, option): File "/usr/lib/python3.5/site-packages/dnfdaemon/server/__init__.py", line 202, in base self._get_base() File "/usr/lib/python3.5/site-packages/dnfdaemon/server/__init__.py", line 1054, in _get_base self._base.setup_base() File "/usr/lib/python3.5/site-packages/dnfdaemon/server/backend.py", line 69, in setup_base self.fill_sack() File "/usr/lib/python3.5/site-packages/dnf/base.py", line 239, in fill_sack self._add_repo_to_sack(r) File "/usr/lib/python3.5/site-packages/dnf/base.py", line 111, in _add_repo_to_sack repo.load() File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 847, in load raise dnf.exceptions.RepoError(msg) dnf.exceptions.RepoError: Failed to synchronize cache for repo 'updates' (36)

edit retag flag offensive close merge delete

Comments

Can you please explain this issue a bit further and editing your question so it will be more readable (Tracebacks and command outputs in code blocks). What exactly are you trying to do/install and what command you're running?

masteroman gravatar imagemasteroman ( 2016-09-14 11:59:50 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2016-09-14 15:37:08 -0600

ssieb gravatar image

You have something intercepting the https connection, so it's not going to work unless you add the CA certificate and let the proxy MITM you.

edit flag offensive delete link more

Comments

what is proxy MITM and CA certificate ?

I had a same issue as dnf is not working with https proxy but it works with http.

dnf repolist Segmentation fault (core dumped)

dnf repolist Error: Failed to synchronize cache for repo 'fedora'

tail -f /var/log/dnf.log File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 813, in processdemands loadavailablerepos=lar) File "/usr/lib/python3.5/site-packages/dnf/base.py", line 239, in fillsack self.addrepotosack(r) File "/usr/lib/python3.5/site-packages/dnf/base.py", line 111, in _addrepotosack repo.load() File

FedoraUser7 gravatar imageFedoraUser7 ( 2017-02-12 13:09:38 -0600 )edit

What kind of proxy is it? How are you telling dnf to use the proxy?

ssieb gravatar imagessieb ( 2017-02-15 14:12:00 -0600 )edit

Question Tools

1 follower

Stats

Asked: 2016-09-14 10:17:09 -0600

Seen: 411 times

Last updated: Sep 14 '16